> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Setup Method

> Get details of a setup method

export const entityType_0 = "setup method"

<Warning>
  **Anti-Polling Warning**: Avoid polling this endpoint; use webhooks for real-time {entityType_0} updates. See [Anti-Polling Policy](/developer-resources/rate-limits#quotas).
</Warning>


## OpenAPI

````yaml GET /setup-method/{setupMethodId}
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /setup-method/{setupMethodId}:
    get:
      description: Get details of a setup method
      parameters:
        - name: setupMethodId
          in: path
          required: true
          schema:
            type: string
          description: Unique identifier of the setup method
      responses:
        '200':
          description: Setup Method details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/get-setup-method-response'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    get-setup-method-response:
      type: object
      properties:
        setupMethodId:
          type: string
          description: Unique identifier of the setup method
          example: sm_sK8d3Jq1tZxPjYVhRQW2rf
        customerId:
          type: string
          description: >-
            The unique identifier for the customer, generated via the
            [create-customer API](/api-reference/customers/create-customer)
          example: cus_Tfd3Jq1tZxPjYVhRQW2r3
        currency:
          type: string
          description: Three letter abbreviation of the currency
          example: USD
        paymentMethods:
          type: array
          items:
            type: string
          description: >-
            List of payment methods enabled for setup.


            💡 If a selected payment method is unavailable, the system will
            automatically fallback to card payments to ensure a smooth checkout
            experience.
          example:
            - CARD
            - GOOGLE_PAY
            - APPLE_PAY
        storeFrontId:
          type: string
          description: The unique identifier for your storefront
          example: sf_sK8d3Jq1tZxPjYVhRQW2rf
        callbackUrl:
          type: string
          description: The URL we will callback to once the setup is complete
          example: https://example.com/callback
        metadata:
          type: object
          description: >-
            A collection of key-value pairs that were provided when the object
            was created
          additionalProperties:
            type: string
          example:
            orderId: '12345'
            customerNote: Setup for recurring payments
        status:
          type: string
          description: The status of the setup method
          enum:
            - CREATED
            - SUCCESS
            - FAILED
          example: CREATED
        pmId:
          type: string
          description: Unique identifier of the payment method if setup is completed
          example: pmt_ftoeKIYGC3f43frT
        intentId:
          type: string
          description: >-
            Unique identifier of the successful payment intent created while
            setting up the payment method token. Present only when `amount` is
            passed during setup creation.
          example: in_ftoeKIYGC3f43frX
        receiptId:
          type: string
          description: >-
            Your identifier for the order. Present only when provided during
            setup method creation.
          example: recp_123311
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````